coreEngine.reliabilityAnalysis.DataStruct

## Class Scenario

- java.lang.Object
- - coreEngine.reliabilityAnalysis.DataStruct.Scenario

- All Implemented Interfaces:
    java.io.Serializable

      public class Scenario
      extends java.lang.Object
      implements java.io.Serializable

  This class contains information (adjustment factors) for one scenario.
  Author:
    Shu Liu, Lake Trask
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private CA3DFloat` | `CAF`
    `private CA3DFloat` | `DAF`
    `private CA3DInt` | `LAFI`
    `private CA3DInt` | `LAFWZ`
    `private int` | `numScen`
    `private CA3DFloat` | `OAF`
    `private CA3DFloat` | `SAF`
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scenario(int numScen, int numSeg, int numPeriod)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CA3DFloat` | `CAF()`
    `CA3DFloat` | `DAF()`
    `CA3DInt` | `LAFI()`
    `CA3DInt` | `LAFWZ()`
    `CA3DFloat` | `OAF()`
    `CA3DFloat` | `SAF()`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### CAF

          private CA3DFloat CAF

    - #### SAF

          private CA3DFloat SAF

    - #### DAF

          private CA3DFloat DAF

    - #### OAF

          private CA3DFloat OAF

    - #### LAFI

          private CA3DInt LAFI

    - #### LAFWZ

          private CA3DInt LAFWZ

    - #### numScen

          private int numScen

  - ### Constructor Detail

    - #### Scenario

          public Scenario(int numScen,
                          int numSeg,
                          int numPeriod)

      Parameters:
        `numScen` -
        `numSeg` -
        `numPeriod` -

  - ### Method Detail

    - #### CAF

          public CA3DFloat CAF()

      Returns:

    - #### SAF

          public CA3DFloat SAF()

      Returns:

    - #### DAF

          public CA3DFloat DAF()

      Returns:

    - #### OAF

          public CA3DFloat OAF()

      Returns:

    - #### LAFI

          public CA3DInt LAFI()

      Returns:

    - #### LAFWZ

          public CA3DInt LAFWZ()

      Returns:

    - #### size

          public int size()

      Returns: